Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface BooleanClauseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  BooleanClauseTypeImpl

    public interface BooleanClauseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Boolean Clause Type'.

The following features are supported:

- `Boolean Predicate`

See Also:
  `QueryPackage.getBooleanClauseType()`

Method Summary
`boolean` | `isBooleanPredicate()` Returns the value of the 'Boolean Predicate' attribute.
`boolean` | `isSetBooleanPredicate()` Returns whether the value of the '`Boolean Predicate`' attribute is set.
`void` | `setBooleanPredicate(boolean value)` Sets the value of the '`Boolean Predicate`' attribute.
`void` | `unsetBooleanPredicate()` Unsets the value of the '`Boolean Predicate`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isBooleanPredicate

    boolean isBooleanPredicate()

  Returns the value of the 'Boolean Predicate' attribute.

  If the meaning of the 'Boolean Predicate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Predicate' attribute.
  See Also:
    `isSetBooleanPredicate()`, `unsetBooleanPredicate()`, `setBooleanPredicate(boolean)`, `QueryPackage.getBooleanClauseType_BooleanPredicate()`

### setBooleanPredicate

    void setBooleanPredicate(boolean value)

  Sets the value of the '`Boolean Predicate`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Predicate' attribute.
  See Also:
    `isSetBooleanPredicate()`, `unsetBooleanPredicate()`, `isBooleanPredicate()`

### unsetBooleanPredicate

    void unsetBooleanPredicate()

  Unsets the value of the '`Boolean Predicate`' attribute.

  See Also:
    `isSetBooleanPredicate()`, `isBooleanPredicate()`, `setBooleanPredicate(boolean)`

### isSetBooleanPredicate

    boolean isSetBooleanPredicate()

  Returns whether the value of the '`Boolean Predicate`' attribute is set.

  Returns:
    whether the value of the 'Boolean Predicate' attribute is set.
  See Also:
    `unsetBooleanPredicate()`, `isBooleanPredicate()`, `setBooleanPredicate(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD